Problem Loading Conda tool dependencies

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view

Problem Loading Conda tool dependencies

Hendriks, Marian

Dear all,

I’ve written and deployed a tool to a local tool shed and using this tool shed I installed the tool into a local Galaxy instance.

This tool uses two dependencies and both seem to working fine when running the tool in my local Galaxy instance as everything works as it is supposed to.

Both dependencies are defined using the requirements tag:


        <requirement type="package" version="0.21.0">pandas</requirement>




From the local tool shed the tool was installed into a different local Galaxy instance, one that I can only access as user.

The tool could successfully be installed however upon running the tool an error was generated saying:

ModuleNotFoundError: No module named 'pandas'

I’ve received word that in this Galaxy instance, Conda is listed as a dependency resolver in the dependency_resolvers_conf.xml file and that the Conda successfully installed the two dependencies (Galaxy Admin panel -> Manage Tool Dependencies) in the version described by the tool’s XML-wrapper.


I tried reinstalling the tool from the tool shed into my own local Galaxy instance after I have manually removed the dependencies using Conda and again, everything works like it is supposed to. I guess this means that the problem does not lie with the installation from the tool shed.

Has anyone encountered similar problems or does anyone know how to fix this?

Thanks in advance!


With regards,
Marian Hendriks

Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

To search Galaxy mailing lists use the unified search at: